/* --------------------------------------------------------- */
/*	ZaurusBASIC												 */
/*	Copyright(C)2006 t.hara									 */
/* ========================================================= */
/*	function												 */
/* --------------------------------------------------------- */

#include "../system_resource.h"
#include "../parser.h"
#include "../interpreter.h"
#include "../function.h"
#include <cstring>
#include <cstdlib>

namespace {

	/* --------------------------------------------------------- */
	void fnc_rnd( c_value& term_value, const unsigned char* &, c_system_resource * ) {

		term_value.change_real( (double)rand() / RAND_MAX );
	}
}

/* --------------------------------------------------------- */
const c_function_list c_function::function_list[] = {
	{	"rnd"		,		fnc_rnd			,	c_parser::PC_RNUMBER	},
};

/* --------------------------------------------------------- */
int c_function::get_code( const char* p_name ) {
	unsigned int i;

	for( i = 0; i < sizeof(function_list)/sizeof(c_function_list); i++ ) {
		if( strcmp( p_name, function_list[i].p_name ) == 0 ) {
			return i;
		}
	}
	return -1;	/* syntax error */
}
