/* --------------------------------------------------------- */
/*	BASIC-E for Windows										 */
/*	Copyright(C)2006 t.hara									 */
/* ========================================================= */
/*	Zaurus frame memory simulator							 */
/* --------------------------------------------------------- */

#include "zaurus_frame.h"

/* --------------------------------------------------------- */
void c_zaurus_vram::rotate_transfer( void ) {
	int x, y, wr_index, rd_index;

	wr_index = 0;
	for( y = 479; y >= 0; y-- ) {
		for( x = 0; x < 640; x++ ) {
			rd_index = (479 - y) + x * 480;
			p_physical_vram[ wr_index ] = p_virtual_vram[ rd_index ];
			wr_index++;
		}
	}
}
