/* --------------------------------------------------------- */
/*	BASIC-E													 */
/*	Copyright(C)2006 t.hara									 */
/* ========================================================= */
/*	command													 */
/* --------------------------------------------------------- */

#ifndef __COMMAND_H__
#define __COMMAND_H__

typedef void (*P_COMMAND_ENTRY)( const unsigned char* &p_code, c_system_resource *p );

class c_command_list {
public:
	const char*		p_name;
	P_COMMAND_ENTRY	p_entry;
};

class c_command {
private:
	static const c_command_list command_list[];

public:
	c_command( void ) {
	}

	int get_code( const char* p_name );

	P_COMMAND_ENTRY get_entry( int code ) {
		return command_list[ code ].p_entry;
	}
};

#endif
