/* --------------------------------------------------------- */
/*	BASIC-E													 */
/*	Copyright(C)2006 t.hara									 */
/* ========================================================= */
/*	debug logger											 */
/* --------------------------------------------------------- */

#ifndef _DEBUG_H_
#define _DEBUG_H_

#ifdef _DEBUG

class c_debug_log {
public:
	c_debug_log( void );
	~c_debug_log( void );
	void open( void );
	void printf( const char* p_format, ... );
};

#else

class c_debug_log {
public:
	c_debug_log( void ) {
	}

	~c_debug_log( void ) {
	}

	void open( void ) {
	}

	void printf( const char*, ... ) {
	}
};

#endif

extern c_debug_log dlog;

#endif
