/* --------------------------------------------------------- */
/*	ZaurusBASIC												 */
/*	Copyright(C)2006 t.hara									 */
/* ========================================================= */
/*	command													 */
/* --------------------------------------------------------- */

#include "../parser.h"
#include "../interpreter.h"
#include "../system_resource.h"
#include "../command.h"
#include <cstring>
#include <cstdlib>

namespace {
	/* --------------------------------------------------------- */
	void cmd_exit( const unsigned char* &, c_system_resource *p ) {
		p->f_running = false;
	}

}

/* --------------------------------------------------------- */
const c_command_list c_command::command_list[] = {
	{	"exit"		,		cmd_exit			},
};

/* --------------------------------------------------------- */
int c_command::get_code( const char* p_name ) {
	unsigned int i;

	for( i = 0; i < sizeof(command_list)/sizeof(c_command_list); i++ ) {
		if( strcmp( p_name, command_list[i].p_name ) == 0 ) {
			return i;
		}
	}
	return -1;	/* syntax error */
}
