/* --------------------------------------------------------- */
/*	BASIC-E													 */
/*	Copyright(C)2006 t.hara									 */
/* ========================================================= */
/*	main window and entry point.							 */
/* --------------------------------------------------------- */

#include <qmainwindow.h>
#include "../basic_e.h"

class qt_basic_e: public QMainWindow {
	Q_OBJECT

public:
	qt_basic_e( QWidget *parent = 0, const char *name = 0 );
	~qt_basic_e();

private:
	void set_full_screen_mode( void );
	bool f_press_ctrl;

protected:
	void showEvent( QShowEvent* );
	void paintEvent( QPaintEvent* );
	void keyPressEvent( QKeyEvent* );
	void keyReleaseEvent( QKeyEvent* );
	void closeEvent( QCloseEvent* );
	void resizeEvent( QResizeEvent* );
	void focusInEvent( QFocusEvent* );
};
