/* --------------------------------------------------------- */
/*	BASIC-E													 */
/*	Copyright(C)2006 t.hara									 */
/* ========================================================= */
/*	debug logger											 */
/* --------------------------------------------------------- */

#include "debug.h"

c_debug_log dlog;

#ifdef _DEBUG
#include <iostream>
#include <fstream>
#include <cstdio>
#include <stdarg.h>

/* --------------------------------------------------------- */
namespace {
	std::ofstream file;
}

/* --------------------------------------------------------- */
c_debug_log::c_debug_log( void ) {
}

/* --------------------------------------------------------- */
void c_debug_log::open( void ) {
	file.open( "debug.log" );
}

/* --------------------------------------------------------- */
c_debug_log::~c_debug_log( void ) {
	file.close();
}

/* --------------------------------------------------------- */
void c_debug_log::printf( const char* p_format, ... ) {
	char s_message[ 256 ];

	va_list p_param;
	va_start( p_param, p_format );
	std::vsprintf( s_message, p_format, p_param );
	va_end( p_param );
	file << s_message;
	file.flush();
}
#endif
