/* --------------------------------------------------------- */
/*	BASIC-E													 */
/*	Copyright(C)2006 t.hara									 */
/* ========================================================= */
/*	function												 */
/* --------------------------------------------------------- */

#ifndef __FUNCTION_H__
#define __FUNCTION_H__

typedef void (*P_FUNCTION_ENTRY)( c_value& term_value, const unsigned char* &p_code, c_system_resource *p );

class c_function_list {
public:
	const char*			p_name;
	P_FUNCTION_ENTRY	p_entry;
	int					return_type;
};

class c_function {
private:
	static const c_function_list function_list[];

public:
	c_function( void ) {
	}

	int get_code( const char* p_name );

	P_FUNCTION_ENTRY get_entry( int code ) {
		return function_list[ code ].p_entry;
	}
};

#endif
