/* --------------------------------------------------------- */
/*	BASIC-E													 */
/*	Copyright(C)2006 t.hara									 */
/* ========================================================= */
/*	keyboard manager										 */
/* --------------------------------------------------------- */

#ifndef __KEYBOARD_H__
#define __KEYBOARD_H__

#include "queue.h"

class c_keyboard {
private:
	class c_system_resource		*p_res;
	c_queue< int, 128 >			key_buffer;

public:
	c_keyboard( void ): key_buffer() {
		p_res = 0;
	}
	
	void set_system_resource( class c_system_resource *p ) {
		p_res = p;
	}

	void push_key( int code );
	int pop_key( void );
	bool kbhit( void );
	void clear_keybuffer( void );
};

#endif
